Bug 6913 - Improving koha-list and koha-create
Summary: Improving koha-list and koha-create
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.8
Hardware: All All
: P3 enhancement (vote)
Assignee: Robin Sheat
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-25 22:33 UTC by Robin Sheat
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6913 - change how ports are handled by koha-create (1.86 KB, patch)
2011-09-25 23:14 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 6913 - change how ports are handled by koha-create (1.97 KB, patch)
2011-10-08 16:04 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Follow-up patch (12.94 KB, patch)
2011-10-08 19:52 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Revised follow-up patch (12.94 KB, patch)
2011-10-10 02:40 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 6913: More options for koha-create and koha-remove (13.29 KB, patch)
2011-12-20 18:31 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 6913 - change how ports are handled by koha-create (1.98 KB, patch)
2011-12-20 21:06 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 6913: More options for koha-create and koha-remove (13.30 KB, patch)
2011-12-20 21:09 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2011-09-25 22:33:25 UTC
A place to track some patches I got sent that add some niceness to these scripts.
Comment 1 Robin Sheat 2011-09-25 23:14:10 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2011-10-08 16:04:22 UTC Comment hidden (obsolete)
Comment 3 Jared Camins-Esakov 2011-10-08 19:52:14 UTC Comment hidden (obsolete)
Comment 4 Jared Camins-Esakov 2011-10-10 02:40:08 UTC Comment hidden (obsolete)
Comment 5 Magnus Enger 2011-10-13 14:50:46 UTC
The last comment from Jared seems to imply that patch status should be Needs Signoff, so I'm setting it that way.
Comment 6 Paul Poulain 2011-10-24 11:38:06 UTC
Updating Version : This ENH will be for Koha 3.8
Comment 7 Paul Poulain 2011-10-25 15:05:40 UTC
Bug versionned for master. entries will be made against rel_3_8 once the patch has been applied (see thread about that on koha-devel yesterday)
Comment 8 Jared Camins-Esakov 2011-12-20 18:31:42 UTC Comment hidden (obsolete)
Comment 9 Chris Cormack 2011-12-20 21:06:46 UTC
Created attachment 6892 [details] [review]
Bug 6913 - change how ports are handled by koha-create

This does two things:
* Allows OPACPORT to be specified to change the default OPAC port,
* removes the port number from the ServerName directive, as it's already
  handled by the VirtualHost declaration.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 10 Chris Cormack 2011-12-20 21:09:38 UTC
Created attachment 6893 [details] [review]
Bug 6913: More options for koha-create and koha-remove

This commit makes koha-create more flexible by adding a number of command-line
and configuration options.

The biggest change is to add support for pre-determined MySQL credentials using
a file in /etc/koha/passwd (for security reasons, if you use this feature, make
sure the file is not world-readable). The configuration file has the following
format:
instance:user:password:database
The database is optional, but the other two are both required if you want to
specify MySQL credentials. If no credentials are specified for a given instance,
the standard koha_instance username and an auto-generated password are used.

The following additional command line options are now available:
* --use-db - use a pre-existing database, see also --database
* --database - specify the name of the mysql database (still defaults to
  koha_instance)
* --passwdfile - specify a custom (Koha) passwd file for MySQL credentials

The following additional variables are now available (for use in
koha-sites.conf or a custom config file):
* OPACPORT (previously added but not documented) - port on which the OPAC
  should be served
* OPACPREFIX - prefix for the OPAC's virtual host
* OPACSUFFIX - suffix for the OPAC's virtual host

This commit also adds the --keep-mysql option to koha-remove, which, if
specified, will prevent koha-remove from deleting the database or MySQL user
when removing an instance.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 11 Paul Poulain 2012-02-02 08:16:47 UTC
QA comment
  * nothing to say about the code, everything consistent and clearly written
  * haven't tested it myself, but chris_c is a trustable tester

passed QA
Comment 12 Paul Poulain 2012-02-02 08:18:00 UTC
Patch pushed, versionned for 3.8 as this patch contains improvements that should be announced & explained widely.
chris_n, is you disagree, let me know
Comment 13 Jared Camins-Esakov 2012-12-31 00:33:05 UTC
There have been no further reports of problems so I am marking this bug resolved.